using System.Collections.Generic;
using System.Threading.Tasks;

namespace Ewide.Core.Service
{
    public interface ISysEmpExtOrgPosService
    {
        Task AddOrUpdate(string empId, List<EmpExtOrgPosOutput> extIdList);
        Task DeleteEmpExtInfoByUserId(string empId);
        Task<List<EmpExtOrgPosOutput>> GetEmpExtOrgPosList(string empId);
        Task<bool> HasExtOrgEmp(string orgId);
        Task<bool> HasExtPosEmp(string posId);
    }
}